-- the colors duke, the colors!
-- i'm colorblind, kid.
-- :iiam:

function PlayerColor( pn )
	if pn == PLAYER_1 then return color("1,0.796,0.398,1") end		-- gold
	if pn == PLAYER_2 then return color("0.863,0.863,0.863,1") end	-- silver
	return color("1,1,1,1")
end

-- todo: customize meee
local DifficultyColors = {
	Difficulty_Beginner	= color("0.0,0.9,1.0,1"),	-- light blue
	Difficulty_Easy		= color("0.9,0.9,0.0,1"),	-- yellow
	Difficulty_Medium	= color("1.0,0.1,0.1,1"),	-- light red
	Difficulty_Hard		= color("0.2,1.0,0.2,1"),	-- light green
	Difficulty_Challenge	= color("0.2,0.6,1.0,1"),	-- blue
	Difficulty_Edit		= color("0.8,0.8,0.8,1"),	-- gray
}

function DifficultyColor( dc ) return DifficultyColors[dc] end

local JudgeColors = {
	TapNoteScore_W1 = color("#FFCC00"), -- gold
	TapNoteScore_W2 = color("#00C6FF"), -- blue
	TapNoteScore_W3 = color("#00E000"), -- green
	TapNoteScore_W4 = color("#00EEDD"), -- teal
	TapNoteScore_W5 = color("#AA00FF"), -- purple
	TapNoteScore_Miss = color("#EE0000"), -- red
};

function JudgeColor( jc ) return JudgeColors[jc] end

-- (c) 2005-2008 Chris Danford, NAKET Coder
-- All rights reserved.
-- 
-- see some other file for the copyright notice